### Direction

Category

Transformation

Function

Converts azimuth, elevation, and distance to an [x, y, z] position.

Syntax

    point = Direction(azimuth, elevation, distance);

Inputs

Name | Type | Default | Description
--- | --- | --- | ---
`azimuth` | scalar | 0 | azimuth in degrees
`elevation` | scalar | 0 | elevation in degrees
`distance` | scalar | 1 | distance

Outputs

Name | Type | Description
--- | --- | ---
`point` | vector | x, y, z position

Functional Details

The output of Direction can be used, for example, as input to the Camera or AutoCamera module to set the look-from direction.

`azimuth` | the angular distance (in degrees) from the positive z-axis to the positive x-axis.
`elevation` | the angular distance (in degrees) from the positive xz plane toward the positive y-axis.
`distance` | is measured in user units.

Example Visual Program

    MovingCamera.net

See Also

AutoCamera, Camera, ClipPlane

[ OpenDX Home at IBM | OpenDX.org ]